var baseStone = [
    '', 
    '_andesite', 
    '_diorite', 
    '_granite', 
    '_byg_rocky_stone', 
    '_byg_scoria_stone', 
    '_byg_soapstone', 
    '_create_dolomite', 
    '_create_gabbro', 
    '_create_natural_scoria', 
    '_create_weathered_limestone', 
    '_quark_jasper', 
    '_quark_limestone', 
    '_quark_slate', 
    '_quark_smooth_basalt', 
    '_quark_deepslate', 
    '_astralsorcery_marble_raw'
]

var oreBlock = [
    ['coal', 'coal_ore'],
    ['diamond', 'diamond_ore'],
    ['emerald', 'emerald_ore'],
    ['gold', 'gold_ore'],
    ['iron', 'iron_ore'],
    ['lapis', 'lapis_ore'],
    ['redstone', 'redstone_ore'],
    ['pendorite', 'byg_pendorite_ore'],
    ['zinc', 'create_zinc_ore'],
    ['apatite', 'thermal_apatite_ore'],
    ['cinnabar', 'thermal_cinnabar_ore'],
    ['niter', 'thermal_niter_ore'],
    ['sulfur', 'thermal_sulfur_ore'],
    ['tin', 'thermal_tin_ore'],
    ['lead', 'thermal_lead_ore'],
    ['silver', 'thermal_silver_ore'],
    ['nickel', 'thermal_nickel_ore'],
    ['copper', 'thermal_copper_ore'],
    ['osmium', 'mekanism_osmium_ore'],
    ['uranium', 'mekanism_uranium_ore'],
    ['fluorite', 'mekanism_fluorite_ore'],
    ['vinteum', 'mana-and-artifice_vinteum_ore'],
    ['certus_quartz', 'appliedenergistics2_quartz_ore'],
    ['certus_quartz', 'appliedenergistics2_charged_quartz_ore'],
    ['aluminum', 'immersiveengineering_ore_aluminum'],
    ['', 'rftoolsbase_dimensionalshard_overworld']
]

events.listen('item.tags', event => {
    baseStone.forEach(function(stone) {
        oreBlock.forEach(function(ore) {
            if (ore[0] != '') {
                event.get('forge:ores/' + ore[0]).add('osv:' + ore[1] + stone)
            }
            event.get('forge:ores').add('osv:' + ore[1] + stone)
        })
    })
})

events.listen('block.tags', event => {
    baseStone.forEach(function(stone) {
        oreBlock.forEach(function(ore) {
            if (ore[0] != '') {
                event.get('forge:ores/' + ore[0]).add('osv:' + ore[1] + stone)
            }
            event.get('forge:ores').add('osv:' + ore[1] + stone)
        })
    })
})